// 我的场景

import { defineStore } from "pinia";
import { ref, computed } from "vue";
import serviceAxios from "@/http/index";

export const usePersonalCenterStore = defineStore(
    "personalCenter",
    () => {
        const activeTabName = ref("personalData");
        const setActiveTabName = (payload) => {
            activeTabName.value = payload;
        };
        const getActiveTabName = () => {
            return activeTabName.value;
        };

        return {
            activeTabName,
            setActiveTabName,
            getActiveTabName
        };
    },
    {
        persist: true,
    }
);
